Subject: Re: linux-next: Fixes tag needs some work in the xfs tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 30 Jan 2019 11:02:56 +1100

Hi Dave,

On Wed, 30 Jan 2019 10:43:38 +1100 Dave Chinner <[email-masked]> wrote:
>
> .... and in replying to correct me demonstrates the exact point I
> was making - that documenting what configuration should be used to
> avoid the warning acheives far more than just reporting an error.
> 
> i.e. all those people who /don't follow git development/ and have
> working configs that pre-date the "auto mode" or it being made
> the default now know the correct way to configure their repository.

Point taken.  It now says:

  - SHA1 should be at least 12 digits long
    Can be fixed by setting core.abbrev to 12 (or more) or (for git v2.11
    or later) just making sure it is not set (or set to "auto").
-- 
Cheers,
Stephen Rothwell